You are not logged in.

#1 2012-08-01 23:06:40

anshumanb
Member
From: New Zealand
Registered: 2011-10-09
Posts: 8

[Solved] Obtaining old Java PKGBUILDs (1.3, 1.4)

At work, I need to setup Java 1.3 and 1.4 for some legacy products that I will be working on. I've tried looking around for the PKGBUILDs but haven't found any.

What I've tried so far:

  1. git clone https://projects.archlinux.org/svntogit/packages.git/ arch_packages_git
    cd arch_packages_git
    git log jre/trunk/PKGBUILD

    but the history doesn't go back far enough

  2. svn checkout --depth=empty svn://svn.archlinux.org/packages

    as mentioned here but it returns

    svn: E000111: Unable to connect to a repository at URL 'svn://svn.archlinux.org/packages'
    svn: E000111: Can't connect to host 'svn.archlinux.org': Connection refused
  3. Tried accessing http://cvs.archlinux.org/cgi-bin/viewcv … root=Extra as mentioned here with no luck

Has the svn repository moved? Is it still available? Is there anywhere else where I may obtain the old PKGBUILDs from?

If I can't find it, I guess I'll have to create one myself (probably base it off Java 5 ones in AUR) though I was hoping I could find an old PKGBUILD and save myself a bit of time.

Thanks in advance.

Last edited by anshumanb (2012-08-12 23:44:01)

Offline

#2 2012-08-01 23:21:38

Trilby
Forum Moderator
From: Massachusetts, USA
Registered: 2011-11-29
Posts: 13,990
Website

Re: [Solved] Obtaining old Java PKGBUILDs (1.3, 1.4)

I'm unfamiliar with most of what you are asking about, but another alternative is to try the arch rollback machine


InterrobangSlider
• How's my coding? See this page.
• How's my moderating? Feel free to email any concerns, complaints, or objections.

Offline

#3 2012-08-01 23:35:09

anshumanb
Member
From: New Zealand
Registered: 2011-10-09
Posts: 8

Re: [Solved] Obtaining old Java PKGBUILDs (1.3, 1.4)

Unfortunately, that doesn't go back far enough either.

Offline

#4 2012-08-12 23:43:35

anshumanb
Member
From: New Zealand
Registered: 2011-10-09
Posts: 8

Re: [Solved] Obtaining old Java PKGBUILDs (1.3, 1.4)

I finally managed to solve this.

Java 1.4 was relatively straightforward, since it was just a matter of downloading from Oracle and running the binary.

Java 1.3 took much longer to get going but with the help of this SO question and the Juniper VPN wiki page, which eventually led me to the lib-compat AUR package, I got it installed and running on my x86_64 system.

Here are the PKGBUILDs I used. I'll clean them up and post them on the AUR eventually in case anyone else needs them.

Offline

Board footer

Powered by FluxBB